<?php
/** 
*
* @package phpBB3
* Author:  CRLin - http://web.dhjh.tcc.edu.tw/~gzqbyr/
*
*/

$phpbb_root_path =  '../'; // Maybe you'll have to edit this line to fit your
define('Inst_dir', $phpbb_root_path);
define('Frame_hide', true); // you can set false
define('Top_frame_height', 31); // Maybe you'll have to edit this line to fit your
$phpEx = substr(strrchr(__FILE__, '.'), 1);
$my_style = Empty($_GET['mystyle']) ? '' : 'mystyle=' . $_GET['mystyle'];
$my_php_self = explode("/", $_SERVER["PHP_SELF"]);
$my_php_self = $my_php_self[count($my_php_self)-1];

if(isset($_GET['del_cookie']))
{
	define('IN_PHPBB', true);
	include($phpbb_root_path . 'common.' . $phpEx);

	// Start session management
	$user->session_begin();

	$set_time = time() - 31536000;
	$user->set_cookie('change_style', '', $set_time);
	$user->set_cookie('change_lang', '', $set_time);
}

if (Empty($_GET['pane']))
{
	if (!Empty($my_style))
		$my_style = '&' . $my_style;
	
	echo '
<!!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN">
<html>
	<head>
	<title>Styles Demo</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	</head>';
	if (Frame_hide)
	{
		echo '
	<frameset id="stylemain" name="stylemain" rows="', Top_frame_height, ',10,*" border="0" framespacing="0" frameborder="0">'; 
	}
	else
	{
		echo '
	<frameset rows="', Top_frame_height, ',*" border="0" framespacing="0" frameborder="0">'; 
	}
	echo '
		<frame src="', $my_php_self, '?pane=top', $my_style,'" name="top" noresize scrolling="no">';
	if (Frame_hide)
	{
		echo '
		<frame src="', Inst_dir, 'stylesdemo/frame_insert.html" marginwidth="0" marginheight="0" frameborder="no" scrolling="no" noresize>';
	}
	echo '
		<frame src="', $my_php_self, '?pane=bottom', $my_style, '" name="bottom" scrolling="auto">
	</frameset>
	<noframes> 
	<body bgcolor="#FFFFFF" text="#000000">
	<p>Sorry, but your browser doesn\'t seem to support frames</p>
	</body>
	</noframes> 
</html>';
}
elseif ($_GET['pane'] == 'bottom')
{
	if (!Empty($my_style))
	{
		$my_style = '?' . $my_style;
	}
	header("Location: " . Inst_dir . "index." . $phpEx . $my_style);
}
elseif ($_GET['pane'] == 'top')
{
	if(!isset($_GET['del_cookie']))
	{
		define('IN_PHPBB', true);
		include($phpbb_root_path . 'common.' . $phpEx);

		// Start session management
		$user->session_begin();
	}

	if (isset($_GET['mystyle'])) 
	{
		$style_value = $_GET['mystyle'];
		if (intval($style_value) == 0)
		{
			$sql = 'SELECT style_id, style_name
					FROM ' . STYLES_TABLE . "
					WHERE style_active = 1 AND style_name = '$style_value'";
			if(($result = $db->sql_query($sql)) && ($row = $db->sql_fetchrow($result)))
			{
				$style_value = $row['style_id'];
			}
			else
			{
				die('Could not find style name ' . $style_value . '!');
			}
		}
		else
		{
			$sql = 'SELECT style_id
					FROM ' . STYLES_TABLE . "
					WHERE style_active = 1 AND style_id = $style_value";
			if(!(($result = $db->sql_query($sql)) && ($row = $db->sql_fetchrow($result))))
			{
				die ('style_id ' . $style_value . ' not found');
			}
		}
	}
	elseif (isset($_COOKIE[$config['cookie_name'] . '_change_style']))
	{
		$style_value = $_COOKIE[$config['cookie_name'] . '_change_style'];
	}
	else
	{
		$style_value = ((!$config['override_user_style'] && $user->data['user_id'] != ANONYMOUS) ? $user->data['user_style'] : $config['default_style']);
	}
	$style_value = style_select($style_value);

	if (isset($_COOKIE[$config['cookie_name'] . '_change_lang']))
	{
		$mylang_value = $_COOKIE[$config['cookie_name'] . '_change_lang'];
	}
	elseif (isset($_SERVER['HTTP_ACCEPT_LANGUAGE']))
	{
		// Obtain installed language
		$installed_languages = array();
		$sql = 'SELECT lang_iso FROM ' . LANG_TABLE;
		$result = $db->sql_query($sql, 3600);
				
		while ($lang_iso = $db->sql_fetchrow($result))
		{
			extract($lang_iso);
			if (file_exists($phpbb_root_path . 'language/' . $lang_iso . "/common.$phpEx"))
			{
				$installed_languages[] = $lang_iso;
			}
		}

		$supported_languages = array(
			'zh_CN' => 'zh_cmn_hans',
			'zh_TW' => 'zh_cmn_hant'
		);

		$accept_lang_ary = explode(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);

		foreach ($accept_lang_ary as $accept_lang)
		{
			// Set correct format ... full xx_YY or xx form
			if(strlen($accept_lang) > 2)
			{
				$accept_lang = substr($accept_lang, 0, 2) . '_' . strtoupper(substr($accept_lang, 3, 2));
			}
					
			if (in_array($accept_lang, $installed_languages))
			{
				$mylang_value = $accept_lang;
				break;
			}
			else
			{
				$accept_lang = $supported_languages[$accept_lang];
				if (in_array($accept_lang, $installed_languages))
				{
					$mylang_value = $accept_lang;
					break;
				}
			}
		}
		if (Empty($mylang_value) && in_array('en', $installed_languages))
		{
			$mylang_value = 'en';
		}
	}
	else
	{
		$mylang_value = $config['default_lang'];
	}
	$language = language_select($mylang_value);

	echo '
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';
	echo '
	<script language="JavaScript" type="text/javascript" src="', Inst_dir, 'stylesdemo/fileinfo.js"></script>
	<script language="JavaScript" type="text/javascript" src="', Inst_dir, 'stylesdemo/lang.js"></script>
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		function jumpboxL()
		{
			var thebox = document.framecombo
			var Lang = thebox.mylang.options[thebox.mylang.selectedIndex].value
			Language(Lang)
			window.parent.bottom.location = "', Inst_dir, 'index.' , $phpEx, '?mylang=" + Lang; return
		}
		function download()
		{
			var thebox = document.framecombo;
			var id = thebox.framecombo2.options[thebox.framecombo2.selectedIndex].value
			if(downloads[id])
			{
				if(downloads[id].substring(0,7)=="http://")
					window.open(downloads[id],"download")
				else
					confirm(downloads[id])
			}
			else
				alert("URL undefined! downloads["+id+"] undefined!")
		}
		function jumpbox()
		{
			var thebox = document.framecombo
			var Style = thebox.framecombo2.options[thebox.framecombo2.selectedIndex].value
			window.parent.bottom.location = "', Inst_dir, 'index.' , $phpEx, '?mystyle=" + Style;
			return;
		}
		function delete_cookie()
		{
			window.parent.location =  "', $my_php_self, '?del_cookie";
		}
	// ]]></script>

	<style type="text/css">
		body
		{
			background-color: #E5E5E8;
			margin: 0px;
		}
		td
		{
			font-family: Verdana, serif; font-size: 10pt;
		}
		.lang_style
		{
			background-color: #E5E5E8;
			font-size: 0.9em;
			/*font-weight: bold;*/
			border: 0;
			padding: 0;
			text-align: right
		}
		select
		{
			color: #333333;
			background-color: #FAFAFA;
			font-family: Verdana, sans-serif;
			font-size: 0.8em;
			font-weight: normal;
			border: 1px solid #A9B8C2;
			padding: 1px;
		}
		.button
		{
			background-color: #006699;
			background-attachment: scroll;
			font-family: Verdana, sans-serif;
			font-size: 12px;
			color: #FFFFFF;
			border-height: 2;
			text-decoration: none;
			font-weight: normal;
			border: 1 solid #FFFFFF;
			padding: 1
		}
	</style>
</head>
<body>
	<form name="framecombo">
	<table width="100%" cellspacing="0" cellpadding="0" border="0">
		<tr>
			<td><a href="', Inst_dir, '" target="_parent"><img src="', Inst_dir, 'stylesdemo/web_logo88a.gif" border="0"></a></td>
			<td>
				<table width="100%" cellspacing="0" cellpadding="0" border="0">
					<tr>
						<td align="right">
							<span id="Lang"></span>';
	echo '
							<select name="mylang" onChange="jumpboxL();">', $language, '</select>';
	echo '
							<span id="Style"></span>';
	echo '
							<select name="framecombo2" onChange="jumpbox();">', $style_value, '</select>';
	echo '
							<input type="button" id="download1" value="Download style" onClick="download()" class="button">
							<input type="button" onClick="if(document.forms[0].framecombo2.selectedIndex>0){ document.forms[0].framecombo2.selectedIndex--; jumpbox();}else{document.forms[0].framecombo2.selectedIndex=document.forms[0].framecombo2.length-1;jumpbox()}" id="Previous" value="Previous" class="button" />
							<input type="button" onClick="if(document.forms[0].framecombo2.selectedIndex<document.forms[0].framecombo2.length-1){ document.forms[0].framecombo2.selectedIndex++; jumpbox();}else{document.forms[0].framecombo2.selectedIndex=0;jumpbox()}" id="Next1" value="Next" class="button" />
							<!-- // LEAVE THESE NOTES -->
							<input type="button" onClick="window.open(\'http://web.dhjh.tcc.edu.tw/~gzqbyr/phpBB/forum/viewtopic.php?f=6&t=4\',\'CRLin\')" value="&copy; CRLin" class="button" />
							<!-- // LEAVE THESE NOTES -->
							<input type="button" onClick="delete_cookie()" id="del_cookie" value="Delete cookies" class="button" />&nbsp;
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	</form>
	<script type="text/javaScript">Language("', $mylang_value, '")</script>
</body>
</html>';
}
?>